#!/bin/bash

set -o nounset

declare -i verbose=0
if [ "${1-}" = "-v" ]
then
  verbose=1
  shift
fi

if [ $# -ne 1 ]
then
  echo "Usage: $(basename $0) [-v] string" >&2
  exit 2
fi

[ $verbose -gt 0 ] && echo -n "Writing string: "
echo "$1"
